import request from '@/utils/request'

// 档案移交申请列表
export function getTransferApplyListApi(params) {
    return request({
        url: '/smartArchives/transferApply/getTransferApplyList',
        method: 'GET',
        params: params,
    })
}

// 新增档案移交申请
export function saveTransferApplyApi(data) {
    return request({
        url: '/smartArchives/transferApply/saveTransferApply',
        method: 'POST',
        data
    })
}

// 编辑档案移交申请
export function editTransferApplyApi(data) {
    return request({
        url: '/smartArchives/transferApply/editTransferApply',
        method: 'POST',
        data
    })
}

// 档案移交申请详情
export function getTransferApplyApi(params) {
    return request({
        url: '/smartArchives/transferApply/getTransferApply',
        method: 'GET',
        params: params
    })
}

// 档案移交申请-列表详情
export function getTransferApplyFilesByApplyIdApi(params) {
    return request({
        url: '/smartArchives/transferApply/getTransferApplyFilesByApplyId',
        method: 'GET',
        params: params
    })
}

// 删除档案移交申请
export function delTransferApplyApi(data) {
    return request({
        url: '/smartArchives/transferApply/delTransferApply',
        method: 'POST',
        data
    })
}

// 已移交确认工程下拉选
export async function getProSelectApi(data) {
    return await request({
        url: '/smartArchives/transferApply/getProSelect',
        method: 'GET',
        data
    })
}

// 获取档案目录树
export function getFileManageTreeApi(params) {
    return request({
        url: '/smartArchives/fileManage/getFileManageTree',
        method: 'get',
        params:params,
    })
}

// 获取移交档案文件
export function getTransferApplyFilesApi(params) {
    return request({
        url: '/smartArchives/transferApply/getTransferApplyFiles',
        method: 'get',
        params:params,
    })
}